## lslk 1.29

=== dialects/aix/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the system group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install -f $${BIN} -S -M 2755 -G $${GRP} $${PROG}'
	@echo '  install -f $${DOC} -M 444 $${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= system'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/du/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c store.c safe.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o store.o safe.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the system group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install -m 2755 -g $${GRP} $${PROG} $${BIN}/$${PROG}'
	@echo '  install -m 444 $${MAN} $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= kmem'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/osr/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install <options> -m 2755 -g kmem ${PROG} <binary_destination>'
	@echo '  install <options> -m 444 ${MAN} <man_destination>'
	@echo ''
	@echo 'You may have to put additional values in <options>, as required'
	@echo 'by the install application in your version of Solaris.  You'
	@echo 'will have to set the appropriate destination for the lslk'
	@echo 'executable in <binary_destination>; the appropriate destination'
	@echo 'for the man page in <man_destination>.'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/solaris/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install <options> -m 2755 -g kmem ${PROG} <binary_destination>'
	@echo '  install <options> -m 444 ${MAN} <man_destination>'
	@echo ''
	@echo 'You may have to put additional values in <options>, as required'
	@echo 'by the install application in your version of Solaris.  You'
	@echo 'will have to set the appropriate destination for the lslk'
	@echo 'executable in <binary_destination>; the appropriate destination'
	@echo 'for the man page in <man_destination>.'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} kernelbase.h dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/sunos/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the kmem group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install <options> -m 2755 -g kmem ${PROG} <binary_destination>'
	@echo '  install <options> -m 444 ${MAN} <man_destination>'
	@echo ''
	@echo 'You may have to put additional values in <options>, as required'
	@echo 'by the install application in your version of SunOS.  You'
	@echo 'will have to set the appropriate destination for the lslk'
	@echo 'executable in <binary_destination>; the appropriate destination'
	@echo 'for the man page in <man_destination>.'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} kernelbase.h dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/linux/kmem/Makefile ===
PROG=	lslk

I=/usr/include
S=/usr/include/sys
L=/usr/include/local
P=

DEBUG=	-O

BIN=
DOC=
GRP=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c dstore.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o dstore.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  Lslk should be installed'
	@echo 'setgid to the group that can can read /dev/kmem.  Normally'
	@echo 'that is the system group.  Your install rule actions might look'
	@echo 'something like this:'
	@echo ''
	@echo '  install -m 2755 -g $${GRP} $${PROG} $${BIN}/$${PROG}'
	@echo '  install -m 444 $${MAN} $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN, DOC, and'
	@echo 'GRP strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo '    GRP= kmem'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

dstore.o:	${HDR} dstore.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== dialects/linux/proc/Makefile ===
PROG=	lslk

DEBUG=	-O

BIN=
DOC=

CDEF=
CDEFS=  ${CDEF} ${CFGF}
INCL=	${DINC}
CFLAGS= ${DEBUG} ${CDEFS} ${INCL}

HDR=    lslk.h dlslk.h machine.h proto.h dproto.h

SRC=    dlock.c dmnt.c \
	arg.c main.c misc.c safe.c store.c

OBJ=	dlock.o dmnt.o \
	arg.o main.o misc.o safe.o store.o

MAN=	lslk.8

OTHER=	

SOURCE=	Makefile ${OTHER} ${MAN} ${HDR} ${SRC}

all: ${PROG}

${PROG}:$P ${OBJ}
	${CC} -o $@ ${CFLAGS} ${OBJ} ${CFGL}

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags *.o version.h
	rm -f machine.h.old new_machine.h

install: all FRC
	@echo ''
	@echo 'Please write your own install rule.  If you want lslk to be'
	@echo 'able to display all lock information for all processes, you'
	@echo 'must install it setuid-root to give it full access to the /proc'
	@echo 'file system.  If you do not mind the loss of some size and path'
	@echo 'information, do not give lslk setuid-root power.  Your setuid-'
	@echo 'root rule actions might look something like this:'
	@echo ''
	@echo '  install -m 4755 -o root $${PROG} $${BIN}/$${PROG}'
	@echo '  install -m 444 $${MAN} $${DOC}/$${MAN}'
	@echo ''
	@echo 'You will have to complete the skeletons for the BIN and DOC'
	@echo 'strings given at the beginning of this Makefile, e.g.,'
	@echo ''
	@echo '    BIN= $${DESTDIR}/usr/local/etc'
	@echo '    DOC= $${DESTDIR}/usr/man/man8'
	@echo ''

version.h:	FRC
	@echo Constructing version.h
	@rm -f version.h
	@sed '/VN/s/.ds VN \(.*\)/#define	LSLK_VERSION	"\1"/' < version > version.h
	@echo '#define	LSLK_CC		"${CC}"' >> version.h
	@echo '#define	LSLK_CCV	"${CCV}"' >> version.h
	@echo '#define	LSLK_CCDATE	"'`date`'"' >> version.h
	@echo '#define	LSLK_CCFLAGS	"${CFLAGS}"' >> version.h
	@echo '#define	LSLK_LDFLAGS	"${CFGL}"' >> version.h
	@echo '#define	LSLK_LOGNAME	"${LOGNAME}"' >> version.h
	@echo '#define	LSLK_HOST	"'`uname -n`'"' >> version.h
	@echo '#define	LSLK_SYSINFO	"'`uname -a`'"' >> version.h
	@echo '#define	LSLK_USER	"${USER}"' >> version.h

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

dlock.o:	${HDR} dlock.c

dmnt.o:		${HDR} dmnt.c

arg.o:		${HDR} version.h arg.c

main.o:		${HDR} main.c

misc.o:		${HDR} misc.c

safe.o:		${HDR} safe.c

store.o:	${HDR} store.c

# *** Do not add anything here - It will go away. ***

=== debian/changelog ===
lslk (1.29-6) unstable; urgency=low

  * QA upload
  * Source format 3.0 (quilt).
  * Added dependency on ${misc:Depends}.
  * Standards-Version 3.8.4 (no change).
  * Patch savelock-return-codes: return proper return codes from the function
    savelock(). Thanks to Alan Curry for the patch! (closes: #434681)
  * debian/rules:
    - remove generated Makefile and .ckMANIFEST in clean target.
    - actually compile the program in the build-stamp target, instead of
      relying on the install target to call on the compilation.
  * removed file debian/substvars from the source package.

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Jun 2010 19:41:24 +0200

lslk (1.29-5) unstable; urgency=low

  [ Sandro Tosi ]
  * QA upload.
  * debian/rules
    - added removal of symlinks left behind (Closes: #424549)
    - removed export of DH_COMPAT
    - does not ignore make clean error anymore
    - updated destination dirs in install target
    - removed unneeded and commented dh_* calls
    - replace dh_installmanpages with dh_installman
  * debian/compat
    - added with value 5
  * debian/copyright
    - renamed previous copyright notice in upstream author
    - added copyright notice
    - added license notice
    - license text indented with 4 spaces
  * debian/control
    - added versioned build-dep for debhelper
  * debian/docs
    - removed and integrated in debian/rules

  [ Bernd Zeimetz ]
  * debian/control:
    - Removing unnecessary 'a' from the short description.

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 06 Apr 2008 16:32:23 +0200

lslk (1.29-4) unstable; urgency=low

  * Orphaning package.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Feb 2008 23:11:02 +0100

lslk (1.29-3) unstable; urgency=low

  * No longer create /usr/doc link. (closes: #359533)
  * Fixed copyright file. (closes: #302969)
  * Updated standards-version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 15 May 2006 22:03:42 -0500

lslk (1.29-2) unstable; urgency=low

  * Added Build-Dependencies. (closes: #111069).

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  4 Nov 2001 12:19:05 +0100

lslk (1.29-1) unstable; urgency=low
 
  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  1 Sep 2001 16:19:31 +0200

lslk (1.28-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 21 Jan 2001 03:25:41 +0100

lslk (1.26-1) unstable; urgency=low

  * Initial Release.

 -- Norbert Tretkowski <nobse@nobse.de>  Tue, 26 Sep 2000 18:34:14 +0200

=== debian/control ===
Source: lslk
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.0)

Package: lslk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: Lock file lister
 Lslk attempts to list all of the locks on the executing
 system's local files (i.e., on the active inodes).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	yes | ./Configure linux
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f dlock.c dlslk.h dmnt.c dproto.h machine.h Makefile .ckMANIFEST
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/lslk/usr
	cp lslk `pwd`/debian/lslk/usr/sbin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs		README
	dh_installman		lslk.8
	dh_installchangelogs	CHANGELOG
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
